## ucspi-proxy 0.97

=== Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	( bglibs=`head -n 1 conf-bglibs`; \
 	  echo '#!/bin/sh';\
 	  echo 'main="$$1"; shift';\
-	  echo exec `head -n 1 conf-ld` -L. "-L'$${bglibs}'" '-o "$$main" "$$main.o" $${1+"$$@"}' -lbg-sysdeps; \
+	  echo exec `head -n 1 conf-ld` -L. "-L'$${bglibs}'" "-Wl,-R'$${bglibs}'" '-o "$$main" "$$main.o" $${1+"$$@"}' -lbg-sysdeps; \
 	) >load
 	chmod 755 load
 
@@ -66,7 +66,7 @@
 pop3-filter.o: compile pop3-filter.c ucspi-proxy.h
 	./compile pop3-filter.c
 
-programs: ucspi-proxy-http-xlate ucspi-proxy-log ucspi-proxy-imap ucspi-proxy-pop3 ucspi-proxy
+programs: ucspi-proxy-imap ucspi-proxy-log ucspi-proxy-pop3 ucspi-proxy ucspi-proxy-http-xlate
 
 relay-filter.o: compile relay-filter.c ucspi-proxy.h
 	./compile relay-filter.c
@@ -74,10 +74,10 @@
 tcp-connect.o: compile tcp-connect.c ucspi-proxy.h
 	./compile tcp-connect.c
 
-ucspi-proxy: load ucspi-proxy.o null-filter.o ucspi-proxy.a
+ucspi-proxy: ucspi-proxy.o load null-filter.o ucspi-proxy.a
 	./load ucspi-proxy null-filter.o ucspi-proxy.a -lbg 
 
-ucspi-proxy-http-xlate: load ucspi-proxy-http-xlate.o http-xlate-filter.o ucspi-proxy.a
+ucspi-proxy-http-xlate: ucspi-proxy-http-xlate.o load http-xlate-filter.o ucspi-proxy.a
 	./load ucspi-proxy-http-xlate http-xlate-filter.o ucspi-proxy.a -lbg 
 
 ucspi-proxy-http-xlate.1.html: ucspi-proxy-http-xlate.1
@@ -86,19 +86,19 @@
 ucspi-proxy-http-xlate.o: compile ucspi-proxy-http-xlate.c ucspi-proxy.h
 	./compile ucspi-proxy-http-xlate.c
 
-ucspi-proxy-imap: load ucspi-proxy-imap.o imap-filter.o base64.o relay-filter.o ucspi-proxy.a
+ucspi-proxy-imap: ucspi-proxy-imap.o load imap-filter.o base64.o relay-filter.o ucspi-proxy.a
 	./load ucspi-proxy-imap imap-filter.o base64.o relay-filter.o ucspi-proxy.a -lbg 
 
 ucspi-proxy-imap.o: compile ucspi-proxy-imap.c ucspi-proxy.h
 	./compile ucspi-proxy-imap.c
 
-ucspi-proxy-log: load ucspi-proxy-log.o log-filter.o ucspi-proxy.a
+ucspi-proxy-log: ucspi-proxy-log.o load log-filter.o ucspi-proxy.a
 	./load ucspi-proxy-log log-filter.o ucspi-proxy.a -lbg 
 
 ucspi-proxy-log.o: compile ucspi-proxy-log.c ucspi-proxy.h
 	./compile ucspi-proxy-log.c
 
-ucspi-proxy-pop3: load ucspi-proxy-pop3.o pop3-filter.o base64.o relay-filter.o ucspi-proxy.a
+ucspi-proxy-pop3: ucspi-proxy-pop3.o load pop3-filter.o base64.o relay-filter.o ucspi-proxy.a
 	./load ucspi-proxy-pop3 pop3-filter.o base64.o relay-filter.o ucspi-proxy.a -lbg 
 
 ucspi-proxy-pop3.o: compile ucspi-proxy-pop3.c ucspi-proxy.h
