## ucspi-proxy 0.98

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,10 @@
 
 all: libraries programs docs
 
-base64.o: compile base64.c
+auth-lib.o: compile auth-lib.c auth-lib.h ucspi-proxy.h
+	./compile auth-lib.c
+
+base64.o: compile base64.c ucspi-proxy.h
 	./compile base64.c
 
 clean: TARGETS
@@ -26,12 +29,12 @@
 	) >compile
 	chmod 755 compile
 
-docs: ucspi-proxy-http-xlate.1.html ucspi-proxy.1.html
+docs: ucspi-proxy.1.html ucspi-proxy-http-xlate.1.html
 
 http-xlate-filter.o: compile http-xlate-filter.c ucspi-proxy.h
 	./compile http-xlate-filter.c
 
-imap-filter.o: compile imap-filter.c ucspi-proxy.h
+imap-filter.o: compile imap-filter.c auth-lib.h ucspi-proxy.h
 	./compile imap-filter.c
 
 install: INSTHIER conf-bin conf-man
@@ -53,20 +56,20 @@
 
 makelib: 
 	( echo '#!/bin/sh'; \
-	  echo 'main="$$1"; shift';\
-	  echo 'rm -f "$$main"';\
-	  echo 'ar cr "$$main" $${1+"$$@"}';\
-	  echo 'ranlib "$$main"';\
+	  echo 'lib="$$1"; shift';\
+	  echo 'rm -f "$$lib"';\
+	  echo 'ar cr "$$lib" $${1+"$$@"}';\
+	  echo 'ranlib "$$lib"';\
 	) >makelib
 	chmod 755 makelib
 
 null-filter.o: compile null-filter.c ucspi-proxy.h
 	./compile null-filter.c
 
-pop3-filter.o: compile pop3-filter.c ucspi-proxy.h
+pop3-filter.o: compile pop3-filter.c auth-lib.h ucspi-proxy.h
 	./compile pop3-filter.c
 
-programs: ucspi-proxy-imap ucspi-proxy-log ucspi-proxy-pop3 ucspi-proxy ucspi-proxy-http-xlate
+programs: ucspi-proxy-log ucspi-proxy-http-xlate ucspi-proxy-pop3 ucspi-proxy-imap ucspi-proxy
 
 relay-filter.o: compile relay-filter.c ucspi-proxy.h
 	./compile relay-filter.c
@@ -86,8 +89,8 @@
 ucspi-proxy-http-xlate.o: compile ucspi-proxy-http-xlate.c ucspi-proxy.h
 	./compile ucspi-proxy-http-xlate.c
 
-ucspi-proxy-imap: ucspi-proxy-imap.o load imap-filter.o base64.o relay-filter.o ucspi-proxy.a
-	./load ucspi-proxy-imap imap-filter.o base64.o relay-filter.o ucspi-proxy.a -lbg 
+ucspi-proxy-imap: ucspi-proxy-imap.o load imap-filter.o relay-filter.o auth-lib.o ucspi-proxy.a
+	./load ucspi-proxy-imap imap-filter.o relay-filter.o auth-lib.o ucspi-proxy.a -lbg 
 
 ucspi-proxy-imap.o: compile ucspi-proxy-imap.c ucspi-proxy.h
 	./compile ucspi-proxy-imap.c
@@ -98,8 +101,8 @@
 ucspi-proxy-log.o: compile ucspi-proxy-log.c ucspi-proxy.h
 	./compile ucspi-proxy-log.c
 
-ucspi-proxy-pop3: ucspi-proxy-pop3.o load pop3-filter.o base64.o relay-filter.o ucspi-proxy.a
-	./load ucspi-proxy-pop3 pop3-filter.o base64.o relay-filter.o ucspi-proxy.a -lbg 
+ucspi-proxy-pop3: ucspi-proxy-pop3.o load pop3-filter.o relay-filter.o auth-lib.o ucspi-proxy.a
+	./load ucspi-proxy-pop3 pop3-filter.o relay-filter.o auth-lib.o ucspi-proxy.a -lbg 
 
 ucspi-proxy-pop3.o: compile ucspi-proxy-pop3.c ucspi-proxy.h
 	./compile ucspi-proxy-pop3.c
@@ -107,8 +110,8 @@
 ucspi-proxy.1.html: ucspi-proxy.1
 	man2html ucspi-proxy.1 >ucspi-proxy.1.html
 
-ucspi-proxy.a: makelib ucspi-proxy.o tcp-connect.o
-	./makelib ucspi-proxy.a ucspi-proxy.o tcp-connect.o
+ucspi-proxy.a: makelib base64.o tcp-connect.o ucspi-proxy.o
+	./makelib ucspi-proxy.a base64.o tcp-connect.o ucspi-proxy.o
 
 ucspi-proxy.o: compile ucspi-proxy.c ucspi-proxy.h
 	./compile ucspi-proxy.c
