## ucspi-proxy 0.99

=== Makefile ===
--- 
+++ 
@@ -69,7 +69,7 @@
 pop3-filter.o: compile pop3-filter.c auth-lib.h ucspi-proxy.h
 	./compile pop3-filter.c
 
-programs: ucspi-proxy-log ucspi-proxy-http-xlate ucspi-proxy-pop3 ucspi-proxy-imap ucspi-proxy
+programs: ucspi-proxy-pop3 ucspi-proxy-http-xlate ucspi-proxy ucspi-proxy-log ucspi-proxy-imap
 
 relay-filter.o: compile relay-filter.c ucspi-proxy.h
 	./compile relay-filter.c
