=== debian/changelog ===
ucspi-proxy (0.99-8) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with GCC 15. (Closes: #1098025)

 -- Adrian Bunk <bunk@debian.org>  Fri, 10 Oct 2025 21:00:37 +0300

ucspi-proxy (0.99-7) unstable; urgency=medium

  * QA upload.

  * Switched upstream references to HTTPS.
  * Converted d/copyright to machine readable format.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 30 Nov 2024 23:49:27 +0100

ucspi-proxy (0.99-6) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.5.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Drop homemade patch system, move all patches to d/patches/.
  * Enabled hardening build flags.
  * Adjusted build to print compiler flags.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 23 Nov 2024 09:58:34 +0100

ucspi-proxy (0.99-5) unstable; urgency=medium

  * QA upload.
  * Support building without (fake)root.

 -- Niels Thykier <niels@thykier.net>  Fri, 08 Nov 2024 09:13:30 +0000

ucspi-proxy (0.99-4) unstable; urgency=medium

  * QA Upload
  * debian/rules: Add -ffile-prefix-map to CFLAGS to avoid embedding build
    path. (Closes: #1024125)
  * debian/rules: Pass "-n" argument to gzip to avoid embedding timestamp
    in manpages. (Closes: #1024125)
  * debian/rules: Set permissions on several directories before building
    package, to avoid differences due to build environment umask.
    (Closes: #1024125)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Fri, 01 Dec 2023 17:56:23 -0800

ucspi-proxy (0.99-3) unstable; urgency=medium

  * QA upload
  * Convert to 3.0 source format (Closes: #1007496)
  * d/watch: Scan upstream archive

 -- Bastian Germann <bage@debian.org>  Sat, 03 Dec 2022 13:59:03 +0100

ucspi-proxy (0.99-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #947705)

 -- Marcos Talau <talau@debian.org>  Sat, 12 Nov 2022 07:57:15 -0300

ucspi-proxy (0.99-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Switch to unversioned libbg-dev dependency
  * Fix build with new libbg2
  * Make build reproducible (Closes: #777365)
    - thanks Chris Lamb for the patch
  * Drop bglibs defaulting to usr/lib, already in
    the default search path (Closes: #723553)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 12 Dec 2017 17:05:43 +0100

ucspi-proxy (0.99-1) unstable; urgency=low

  * new upstream version.
  * debian/control: Standards-Version: 3.9.5.0.
  * debian/control: fix spelling error.

 -- Gerrit Pape <pape@smarden.org>  Sun, 10 Aug 2014 14:58:28 +0000

ucspi-proxy (0.98-1) unstable; urgency=low

  * new upstream version.
  * debian/diff/0001-INSTHIER-install-the-ucspi-proxy-program.diff:
    remove; applied upstream.
  * debian/copyright: refer to /usr/share/common-licenses/GPL-2.
  * debian/control: Standards-Version: 3.8.3.0.

 -- Gerrit Pape <pape@smarden.org>  Thu, 19 Nov 2009 21:54:31 +0000

ucspi-proxy (0.97-1) unstable; urgency=low

  * new upstream version.
  * debian/implicit: update to revision a09db2e.
  * debian/control: Build-Depends: libbg1-dev; Standards-Version:
    3.7.3.0.
  * debian/copyright: 2006.
  * debian/rules: adjust paths to bglibs; drop diet package for now.
  * debian/diff/0001-INSTHIER-install-the-ucspi-proxy-program.diff,
    debian/diff/0002-TARGETS-don-t-remove-.html.diff: redo
    INSTHIER.diff, TARGETS.diff with git.
  * debian/rules: apply patches with -p1, not -p0.
  * debian/rules: don't ignore error on make clean.
  * debian/diff/0003-Makefile-avoid-rpath.diff: new; avoid rpath.

 -- Gerrit Pape <pape@smarden.org>  Tue, 13 May 2008 20:44:00 +0000

ucspi-proxy (0.96-1) unstable; urgency=low

  * new upstream version.
  * debian/control: Build-Depends: bglibs-dev (>> 1.025-0);
    Standards-Version: 3.6.2.0.
  * debian/copyright: 2005.
  * debian/implicit: update to revision 1.10.
  * debian/rules: cleanup; adapt to new upstream version.
  * debian/ucspi-proxy.docs: add NEWS.
  * debian/diff/INSTHIER.diff: new; install the ucspi-proxy program.
  * debian/diff/TARGETS.diff: new; don't remove html files on make clean.

 -- Gerrit Pape <pape@smarden.org>  Wed,  5 Oct 2005 10:11:57 +0000

ucspi-proxy (0.95-2) unstable; urgency=low

  * debian/control: no longer Build-Depends: debhelper; Standards-Version:
    3.6.1.0; update url in description.
  * debian/copyright: include explicit copyright statement; refer to
    common-licenses/GPL.
  * debian/rules: stop using debhelper, use implicit rules.
  * debian/implicit: new; implicit rules.
  * debian/ucspi-proxy.docs: new.
  * debian/dirs, debian/docs, debian/undocumented: remove; obsolete.

 -- Gerrit Pape <pape@smarden.org>  Thu, 18 Dec 2003 13:27:54 +0000

ucspi-proxy (0.95-1) unstable; urgency=low

  * Initial Release (closes: #93151).

 -- Gerrit Pape <pape@smarden.org>  Sat, 19 Jan 2002 14:34:54 +0100
