=== debian/control ===
Source: ucspi-proxy
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: libbg-dev,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://untroubled.org/ucspi-proxy/
Vcs-Browser: https://salsa.debian.org/debian/ucspi-proxy
Vcs-Git: https://salsa.debian.org/debian/ucspi-proxy.git

Package: ucspi-proxy
Architecture: any
Depends: ${shlibs:Depends},
Description: Connection proxy for UCSPI tools
 This package contains a proxy program that passes data back and forth
 between two connections set up by a UCSPI server and a UCSPI client.
 .
 See http://cr.yp.to/proto/ucspi.txt for more information on UCSPI.  See
 http://untroubled.org/ucspi-proxy/ for recent information.
