=== debian/watch ===
version=4
https://untroubled.org/ucspi-proxy/archive/ ucspi-proxy-([\d\.]+).tar.gz
